"use strict";

chrome.contextMenus.create({
    id: "img-item",
    title: "Click here to see srcInfo",
    contexts: ["image"],
});
chrome.contextMenus.onClicked.addListener((info, tab) => {
    console.log(info, tab);
    let msg = "info.srcUrl = " + info.srcUrl;
    if (location.protocol === "moz-extension:") {
        // Firefox cannot show dialogs from the background page,
        // so use a content script to show a message.
        // Firefox allows content scripts in moz-extension:-pages (bug 1439012).
        chrome.tabs.executeScript(tab.id, {
            code: `alert(${JSON.stringify(msg)})`,
        });
    } else {
        alert(msg);
    }
});

/*
// Interestingly, redirects from webRequest are different from http:-redirects.
var TAGGED_BY_EXT = "redirect-destination";
chrome.webRequest.onBeforeRequest.addListener(details => {
    if (details.url.includes(TAGGED_BY_EXT)) {
        return;
    }
    let parts = details.url.split(/(#)/);
    parts[0] += parts[0].includes("?") ? "&" : "?";
    parts[0] += TAGGED_BY_EXT;
    let redirectUrl = parts.join("");
    console.log("Redirecting", details.url, "to", redirectUrl);
    return { redirectUrl };
}, {
    types: ["image"],
    urls: ["*://*\/*"],
}, ["blocking"]);
*/

// Opens a page with images.
chrome.tabs.create({
    url: "page.html",
});
